Delete streaming key
Updated
Deletes a Media Gateway streaming key.
https://api.agora.io/{region}/v1/projects/{appId}/rtls/ingress/streamkeys/{streamkey}Call to delete unused streaming keys. After a streaming key is deleted, you can no longer use it to push streams. If the deleted streaming key is still in use, the ongoing stream is not affected. To disable the ongoing stream immediately, use the SID to force a disconnection.
This API can also be used to revoke streaming keys generated by a script. For a complete key revocation, make sure to call this API across all configured regions.
Path Parameters
regionstringRegion for the streaming key or stream. Supported values are na for North America, eu for Europe, ap for Asia except mainland China, and cn for mainland China.
Important
Make sure that:
- The
regionvalue is the same as for the input source stream. - The domain names for setting the
regionparameter and streaming are the same. - The
regionvalue is in lowercase.
appIdstringThe app ID provided by Agora to each developer. After creating a project in Agora Console, you can get an app ID. The app ID is a unique identifier for a project.
streamkeystringThe streaming key.
Header Parameters
X-Request-IDstringThe UUID (Universally Unique Identifier) of the request. After you pass in this field, the Agora server returns this field in the response header. It is recommended to assign X-Request-ID a value. If omitted, the Agora server automatically generates a UUID and returns it.
Response Body
The request succeeded and deleted the streaming key.
Response Headers
statusstringThe status of this request. success means the request succeeds.
Request examples
curl --location -g --request DELETE 'https://api.agora.io/{{region}}/v1/projects/{{appId}}/rtls/ingress/streamkeys/{{streamKey}}'Response example
{ "status": "success"}